<?xml version="1.0"?>
<!DOCTYPE methoddef SYSTEM "rpc-method.dtd">
<!--
    Generated automatically by make_method v1.09, Fri Sep 17 15:07:45 2004

    Any changes made here will be lost.
-->
<methoddef>
<name>ls_stat</name>
<version>1.0</version>
<signature>string string</signature>
<help>
Return stat() for all files in a directory.
</help>
<code language="perl">
<![CDATA[
#!/opt/perl5/bin/perl
###############################################################################
#
#   Sub Name:       ls_stat
#
#   Description:    Returns stat() output for all files in a directory.
#
#   Arguments:      NAME      IN/OUT  TYPE      DESCRIPTION
#                   $srv      in      ref       Server object instance
#                   $path     in      string    Path
#
#   Globals:        None.
#
#   Environment:    None.
#
#   Returns:        Hashref of arrayrefs of info.
#
###############################################################################
sub ls_stat
{
open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: ls_stat.xpl(@_)\n"; close(LOG);
        my ($srv, $path) = @_;

	use strict;

	opendir(DIR, $path) || return "ERROR: ls_stat: Can't opendir $path: $!";
	return { map { $_ => [stat("$path/$_")] } grep { !-d "$path/$_" && !/^\./ } readdir(DIR) };
}

__END__
]]></code>
</methoddef>
