#!/usr/bin/perl

open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: restart_asterisk.pl(@ARGV)\n"; close(LOG);
my($type) = shift(@ARGV);

my $version = `/usr/sbin/asterisk -r -x 'show version'`;

if ($version eq '' || $version eq undef || $version =~ /Unable to connect to remote asterisk/)
{
	sleep(5);
	$version = `/usr/sbin/asterisk -r -x 'show version'`;

	if ($version eq '' || $version eq undef || $version =~ /Unable to connect to remote asterisk/)
	{
		warn("asterisk not up, restarting");
		system("/etc/init.d/asterisk stop");
		system("/etc/init.d/asterisk start");
		exit(0);
	}
}

if($type eq 'now') {
	warn("restart now");
	exec("/usr/sbin/asterisk -r -x 'restart now'");
}
elsif($type eq 'soon') {
	warn("restart gracefully");
	exec("/usr/sbin/asterisk -r -x 'restart gracefully'");
}
else {
	warn("restart when convenient");
	exec("/usr/sbin/asterisk -r -x 'restart when convenient'");
}
