<?xml version="1.0"?>
<!DOCTYPE methoddef SYSTEM "rpc-method.dtd">
<!--
    Generated automatically by make_method v1.09, Sat Sep  4 08:46:54 2004

    Any changes made here will be lost.
-->
<methoddef>
<name>ls</name>
<version>1.0</version>
<signature>array array</signature>
<help>
Lists files or directories.
</help>
<code language="perl">
<![CDATA[
#!/opt/perl5/bin/perl
###############################################################################
#
#   Sub Name:       ls
#
#   Description:    Lists files or directories.
#
#   Arguments:      NAME      IN/OUT  TYPE      DESCRIPTION
#                   $srv      in      ref       Server object instance
#                   $dir      in      string    Path
#
#   Globals:        None.
#
#   Environment:    None.
#
#   Returns:        Array of files or directories.
#
###############################################################################
sub ls
{
open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: ls.xpl(@_)\n"; close(LOG);
        my ($srv, $req) = @_;

	use strict;

	my @return;
	my ($path, $directories) = @{$req};

	opendir(PATH, $path) || return "Can't read $path: $!";
	return [grep { $directories ? -d "$path/$_" : !-d "$path/$_" } readdir(PATH)];
}

__END__
]]></code>
</methoddef>
