<?xml version="1.0"?>
<!DOCTYPE methoddef SYSTEM "rpc-method.dtd">
<!--
    Generated automatically by make_method v1.09, Wed Sep 29 13:22:55 2004

    Any changes made here will be lost.
-->
<methoddef>
<name>restart</name>
<version>1.0</version>
<signature>array array</signature>
<help>
Restarts asterisk with these three restart types:

soon = restart gracefully  Restart Asterisk gracefully
now = restart now  Restart Asterisk immediately
idle = restart when convenient  Restart Asterisk at empty call volume
</help>
<code language="perl">
<![CDATA[
#!/opt/perl5/bin/perl
###############################################################################
#
#   Sub Name:       restart
#
#   Description:    Restarts asterisk
#
#   Arguments:      NAME      IN/OUT  TYPE      DESCRIPTION
#                   $srv      in      ref       Server object instance
#
#   Globals:        None.
#
#   Environment:    None.
#
#   Returns:        None.
#
###############################################################################
sub restart
{
open(LOG, ">>/tmp/xpl.log"); print LOG localtime() . ": $$: restart.xpl(@_)\n"; close(LOG);
	use strict;
	my($srv) = shift(@_);
	my($arg_arrayref) = shift(@_);
	my($restart_type) = shift(@{$arg_arrayref});

	system("/var/www/rpc/astrestart $restart_type");
	return 1 if($? == 0); # It worked okay
	return 0;
}


__END__
]]></code>
</methoddef>
