#!/usr/bin/perl
#
# Executes applications as root.
# 
# only allows specific apps to run

my %allowed = map { $_ => 1 } qw{
	/bin/ping
	/bin/kill
	/bin/rpm
	/bin/tar
	/sbin/modprobe
	/usr/bin/yum
	/usr/bin/pkill
	/usr/bin/killall
	/usr/sbin/mtr
	/usr/sbin/alternatives
	/usr/sbin/dmidecode
	/usr/sbin/wanrouter
	/usr/sbin/wanpipemon
	/usr/sbin/hpacucli
	/etc/init.d/asterisk
	/etc/init.d/postfix
	/etc/init.d/named
	/etc/init.d/hud3
	/etc/init.d/FONmon
	/var/adm/bin/ptce.pl
	/usr/local/fonality/FONdetect/detect_pstn_cards.pl
	/var/adm/bin/find_unregistered_phones.pl
	/var/adm/bin/trouble.pl
	/var/adm/bin/fon_backup.sh
	/var/adm/bin/ip_addalias.pl
	/var/adm/bin/set_nameservers.pl
	/var/adm/bin/ipchange.pl
	/var/adm/bin/ip_save_restore.pl
	/var/adm/bin/dns_forwarder.pl
	/var/adm/bin/toggle_dhcpd2.pl
	/opt/MegaRAID/MegaCli/MegaCli
	/var/adm/bin/server_stats_activity.pl
	/var/adm/bin/server_stats_resources.pl
	/var/adm/bin/fix_apache_conf_add_cgi_loc.pl
	/var/adm/bin/add_checkiptables_fonmon.pl
	/var/adm/bin/iptables.pl
};


# if we're allowed to run this program
if ($allowed{$ARGV[0]})
{
	system(@ARGV);
}
else
{
	die "No permission to execute $ARGV[0] (@ARGV)\n";
}
