#!/usr/bin/perl
#
# Executes applications as root.
# 
# only allows specific apps to run

my %allowed = map { $_ => 1 } qw|
	/var/adm/bin/ptce.pl
	/bin/kill
	/usr/bin/pkill
	/usr/bin/killall
	/etc/init.d/asterisk
	/etc/init.d/postfix
	/etc/init.d/named
	/usr/sbin/wanpipemon
    /var/adm/bin/setup_polycom_upgrade_server.pl
    /var/adm/bin/generate_tftp_config_files_from_db.pl
    /var/adm/bin/mkcall.pl
    /var/adm/bin/sync_server.pl
    /var/adm/bin/get_system_profile.pl
    /var/adm/bin/trouble.pl
    /var/adm/bin/find_unregistered_phones.pl
    /var/adm/bin/udp2.pl
    /var/adm/bin/fast_show_db.pl
	/var/adm/bin/setup_ntp_server.pl
	/var/adm/bin/check_linked_servers.pl
	/var/adm/bin/upgrade2pe.pl
	/var/adm/bin/cce/upgrade2cce.pl
	/var/adm/bin/asterisk_commands_sip_show_peers.pl
	/var/adm/bin/asterisk_commands_show_dialplan.pl
|;


# if we're allowed to run this program
if ($allowed{$ARGV[0]})
{
	system(@ARGV);
}
else
{
	die "No permission to execute $ARGV[0] (@ARGV)\n";
}
